#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QImage>
#include <QMutex>

namespace Ui {
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void updateLogcamera();
    void displayCamera(const QImage& image);
private:
    Ui::MainWindow *ui;
    //QNode qnode;
    QImage qimage_;
    mutable QMutex qinmage_mutex_;
};

#endif // MAINWINDOW_H
